/*
 *  Part of rvglue source code,
 *  Copyright (C) 2000 Alexander Kroeller (alilein@gmx.de)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef __ERRDESC_H
#define __ERRDESC_H

#include <stdarg.h>

#define ERROR_IS_WARNING(err)   (err>99)




/*** ERRORS ***/
#define ERROR_ITOP_SYNTAX       1
#define ERROR_ITOP_FILETYPE     2
#define ERROR_FILE_ROPEN        3
#define ERROR_EOF_IN_BLOCK      4
#define ERROR_EXPECTED_FNAME    5
#define ERROR_MAXFOPTS_EXCEEDED 6
#define ERROR_DUPLICATE_IFILE   7
#define ERROR_NO_IFILE          8
#define ERROR_DUPLICATE_OFILE   9
#define ERROR_EMPTY_OFILE       10
#define ERROR_BEND_EXPECTED     11
#define ERROR_UNKNOWN_OPTION    12
#define ERROR_EXPECTED_KEY      13
#define ERROR_EXPECTED_TED_KEY  14

/*** WARNINGS ***/
#define ERROR_COMMENT_EOF       101
#define ERROR_COMMENT_NOBEGIN   102
#define ERROR_EMPTY_FILEOPT     103
#define ERROR_DUPLICATE_FILEOPT 104
#define ERROR_DUPLICATE_GLOBAL  105
#define ERROR_USELESS_BLOCK     106


void describe_error(int errnum);

void perror(int level, int errnum, const char *args, ...);

void lprintf(int level, const char *args, ...);
void lprintff(int level, const char *args, ...);


#endif
