/*
 *  Part of rvglue source code,
 *  Copyright (C) 2000 Alexander Kroeller (alilein@gmx.de)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef __OPTION_SET_H
#define __OPTION_SET_H

#include <rvtypes.h>
#include <world.h>
#include <mesh.h>

#include "parser.h"

#define OS_NO_TRANS 300

class OptionSet
{
public:
  OptionSet();
  //  OptionSet(Parser &);
  ~OptionSet();

  int read(Parser &);
  int dummyread(Parser &);

  rvulong surface;
  bool create_ncp;
  bool create_w;

  rvulong transparency; /* may be OS_NO_TRANS if not to be altered */

  rvulong bluecolor;
  bool recolor_blue;

  int tedelete;

  int processMesh(Mesh *, World *);

private:
  int parseItem(Parser &);
  int setTEColor(Parser &);
  int parseTEColor(Parser &);
  int setTrans(Parser &);
  int setSurface(Parser &);
  int parseSurface(Parser &);
  int parseTrans(Parser &);
  int parseTEDelete(Parser &);
  int setTEDelete(Parser &);

  void setDefaults(void);
};


extern OptionSet emptyoptset;

#endif
