/*
 *  Part of rvglue source code,
 *  Copyright (C) 2000 Alexander Kroeller (alilein@gmx.de)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#include <stdio.h>
#include <stdlib.h>

#include "rvtypes.h"
#include "ichain.h"

IndexChain::IndexChain(rvulong max_size)
{
  cursz=0;
  maxsz=max_size;
  list=new rvulong[maxsz];
}

IndexChain::~IndexChain()
{
  delete list;
}

void IndexChain::add(rvulong index)
{
  if(cursz<maxsz)
    {
      list[cursz]=index;
      cursz++;
    }
  else
    printf("INDEXCHAIN PANIC!!!!\n");
}

void IndexChain::write(FILE *f)
{
  fwrite(&cursz, sizeof(rvulong),1,f);
  fwrite(list,sizeof(rvulong),cursz,f);
}
