/*
 *  Part of rvglue source code,
 *  Copyright (C) 2000 Alexander Kroeller (alilein@gmx.de)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef __LOOKUP_H
#define __LOOKUP_H

#include "rvtypes.h"
#include "vector.h"
#include "ichain.h"

class LookupGrid
{
public:
  LookupGrid(rvulong _size);
  ~LookupGrid();

  void expandGrid(Vector &);
  void doneSizing(void);

  void write(FILE *);

  IndexChain *lichain(int x, int z);

  int xgridcoord(rvfloat x);
  int zgridcoord(rvfloat z);

private:
  rvulong size;
  rvfloat xlo, xhi, zlo, zhi;
  RV_LookupGrid data;
  int xsz, zsz;
  IndexChain **ichains;
};

#endif
