/*
 *  Part of rvglue source code,
 *  Copyright (C) 2000 Alexander Kroeller (alilein@gmx.de)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef __SURFACE_H
#define __SURFACE_H

#include "rvtypes.h"
#include "vector.h"
#include "lookup.h"

class Surface
{
public:
  Surface(rvulong stype, RV_Vector *v0, RV_Vector *v1, RV_Vector *v2, RV_Vector *v3=NULL);

  void createPolyhedron(void);
  Vector planarNormal(void);
  void createPlane(RV_Plane *, Vector &normal, Vector &pos);

  void write(FILE *);

  void expandGrid(LookupGrid*);
  void enterIntoGrid(LookupGrid*, rvulong myidx);

private:
  RV_Polyhedron ph;
  Vector vecs[4];
  int nvecs;
};

#endif
